toolbar button positions should be synced
Created attachment 8730376
Firefox new install sync - all buttons.png

After installing Firefox on a new device and signing in to sync I end up with all default toolbar buttons and all add-ons in the toolbar.
This is somewhat overwhelming, and requires work that I expected would be solved by sync.